# MySQL-Front Dump 2.2
#
# Host: localhost   Database: sema
#--------------------------------------------------------
# Server version 3.23.49-nt


#
# Table structure for table 'access_rule'
#

DROP TABLE IF EXISTS access_rule;
CREATE TABLE `access_rule` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `mask` varchar(255) NOT NULL default ''
) TYPE=MyISAM;



#
# Dumping data for table 'access_rule'
#


#
# Table structure for table 'chain'
#

DROP TABLE IF EXISTS chain;
CREATE TABLE `chain` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `chain` varchar(255) NOT NULL default '',
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'chain'
#
INSERT INTO chain VALUES("1","1:worker;2:owner;3:manager;","Internal task");
INSERT INTO chain VALUES("2","1:worker;2:owner;3:manager;4:customer;","Public task");


#
# Table structure for table 'contact'
#

DROP TABLE IF EXISTS contact;
CREATE TABLE `contact` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `nick_name` varchar(255) NOT NULL default '',
  `first_name` varchar(255) NOT NULL default '',
  `middle_name` varchar(255) NOT NULL default '',
  `last_name` varchar(255) NOT NULL default '',
  `work_place` varchar(255) NOT NULL default '',
  `is_group` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact'
#
INSERT INTO contact VALUES("1000","root","root","root","root","PushOk","0");


#
# Table structure for table 'contact_address'
#

DROP TABLE IF EXISTS contact_address;
CREATE TABLE `contact_address` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `address` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_address'
#


#
# Table structure for table 'contact_email'
#

DROP TABLE IF EXISTS contact_email;
CREATE TABLE `contact_email` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_email'
#


#
# Table structure for table 'contact_phone'
#

DROP TABLE IF EXISTS contact_phone;
CREATE TABLE `contact_phone` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `phone` varchar(255) NOT NULL default '',
  `type` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_phone'
#


#
# Table structure for table 'contact_user'
#

DROP TABLE IF EXISTS contact_user;
CREATE TABLE `contact_user` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `login` varchar(255) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `flags` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_user'
#
INSERT INTO contact_user VALUES("1000","root","root","sergey@pushok.com","R");


#
# Table structure for table 'contact_user_prefs'
#

DROP TABLE IF EXISTS contact_user_prefs;
CREATE TABLE `contact_user_prefs` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `_key` varchar(255) NOT NULL default '',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'contact_user_prefs'
#


#
# Table structure for table 'document'
#

DROP TABLE IF EXISTS document;
CREATE TABLE `document` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `content` text NOT NULL,
  `idowner` bigint(1) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `version` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'document'
#


#
# Table structure for table 'document_chain'
#

DROP TABLE IF EXISTS document_chain;
CREATE TABLE `document_chain` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idchain` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'document_chain'
#


#
# Table structure for table 'file'
#

DROP TABLE IF EXISTS file;
CREATE TABLE `file` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `data` longtext NOT NULL,
  `idowner` bigint(1) unsigned NOT NULL default '0',
  `type` varchar(255) NOT NULL default '',
  `size` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'file'
#


#
# Table structure for table 'history'
#

DROP TABLE IF EXISTS history;
CREATE TABLE `history` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `event` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `idobject` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'history'
#


#
# Table structure for table 'issue'
#

DROP TABLE IF EXISTS issue;
CREATE TABLE `issue` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `creation_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `modification_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `idresponsible` bigint(1) unsigned NOT NULL default '0',
  `idworker` bigint(1) unsigned NOT NULL default '0',
  `priority` tinyint(1) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `status2` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'issue'
#


#
# Table structure for table 'issue_content'
#

DROP TABLE IF EXISTS issue_content;
CREATE TABLE `issue_content` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idissue` bigint(1) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  `files` varchar(255) NOT NULL default '',
  `idcreator` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'issue_content'
#


#
# Table structure for table 'note'
#

DROP TABLE IF EXISTS note;
CREATE TABLE `note` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `body` longtext,
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'note'
#


#
# Table structure for table 'notify_rule'
#

DROP TABLE IF EXISTS notify_rule;
CREATE TABLE `notify_rule` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `details_level` varchar(255) NOT NULL default '',
  `interest_level` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'notify_rule'
#


#
# Table structure for table 'object'
#

DROP TABLE IF EXISTS object;
CREATE TABLE `object` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `type` tinyint(1) unsigned NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `parent_object` bigint(1) unsigned NOT NULL default '0',
  `access_rule` bigint(20) unsigned NOT NULL default '0',
  `idcreator` bigint(1) unsigned NOT NULL default '0',
  `flags` varchar(10) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'object'
#
INSERT INTO object VALUES("1000","3","root","0","1000","1000","I");


#
# Table structure for table 'project'
#

DROP TABLE IF EXISTS project;
CREATE TABLE `project` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `time_type` tinyint(1) NOT NULL default '0',
  `bdate` date NOT NULL default '0000-00-00',
  `edate` date NOT NULL default '0000-00-00',
  `status` tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'project'
#


#
# Table structure for table 'project_role'
#

DROP TABLE IF EXISTS project_role;
CREATE TABLE `project_role` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idproject` bigint(1) unsigned NOT NULL default '0',
  `idcontact` bigint(1) unsigned NOT NULL default '0',
  `role` bigint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'project_role'
#


#
# Table structure for table 'task'
#

DROP TABLE IF EXISTS task;
CREATE TABLE `task` (
  `id` bigint(1) unsigned NOT NULL default '0',
  `time_type` tinyint(1) unsigned NOT NULL default '0',
  `bdate` date NOT NULL default '0000-00-00',
  `edate` date NOT NULL default '0000-00-00',
  `work_time` bigint(1) unsigned NOT NULL default '0',
  `idowner` bigint(1) unsigned NOT NULL default '0',
  `idworker` bigint(1) unsigned NOT NULL default '0',
  `idresponsible` bigint(1) unsigned NOT NULL default '0',
  `iddoc_chain` bigint(1) unsigned NOT NULL default '0',
  `priority` tinyint(1) unsigned NOT NULL default '0',
  `status` tinyint(1) unsigned NOT NULL default '0',
  `flags` bigint(20) unsigned NOT NULL default '0',
  `chain_state` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'task'
#


#
# Table structure for table 'task_content'
#

DROP TABLE IF EXISTS task_content;
CREATE TABLE `task_content` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `idtask` bigint(1) unsigned NOT NULL default '0',
  `text` text NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'task_content'
#


#
# Table structure for table 'time_track'
#

DROP TABLE IF EXISTS time_track;
CREATE TABLE `time_track` (
  `id` bigint(1) unsigned NOT NULL auto_increment,
  `work_volume` float NOT NULL default '0',
  `idworker` bigint(1) unsigned NOT NULL default '0',
  `start` date NOT NULL default '0000-00-00',
  `end` date NOT NULL default '0000-00-00',
  `idparent` bigint(1) unsigned NOT NULL default '0',
  `title` varchar(255) default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'time_track'
#


#
# Table structure for table 'timeb_timeb'
#

DROP TABLE IF EXISTS timeb_timeb;
CREATE TABLE `timeb_timeb` (
  `id` bigint(3) unsigned NOT NULL auto_increment,
  `idworker` bigint(20) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `time` time NOT NULL default '00:00:00',
  `type` enum('Normal','Ill','Holiday','Shortday') NOT NULL default 'Normal',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'timeb_timeb'
#


#
# Table structure for table 'timeb_track'
#

DROP TABLE IF EXISTS timeb_track;
CREATE TABLE `timeb_track` (
  `id` bigint(3) unsigned NOT NULL auto_increment,
  `idworker` bigint(20) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `start` time NOT NULL default '00:00:00',
  `end` time NOT NULL default '00:00:00',
  `time` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) TYPE=MyISAM;



#
# Dumping data for table 'timeb_track'
#
